---
title: "The Federation Proposal"
date: 2022-04-10T11:32:59+02:00
draft: false
image: "/img/wow.jpg"
imageCredit: "'Nam June Paik, TV Garden' from the Internet Gardening collection by Trav Fryer (are.na/trav-fryer)."
description: "The Federation Proposal"
---

We've been working on a proposal for an organisational form for Co-op Cloud. It takes the shape of a federation: democratically managed & financially sustainable. We're looking for your feedback, comments & constructive criticism! Read on, & please do get in touch if you're interested in what a federation of co-operative hosters can be!

<!--more-->

## Where we're at now

Before we get into the proposal, some context on where we're at now. Some "metrics" then :nerd_face: We have...

- Packaged 90+ libre software [recipes](https://docs.coopcloud.tech/glossary/#recipe). All sorts of libre apps can be deployed today with our command line client `abra`.

- Stabilised our command line client [`abra`](https://docs.coopcloud.tech/abra/) (the `v0.4` release series is out this month). We've seen a diverse group of people picking the tool up and deploying a bunch of software such as [bath.social](https://bath.social), [bonfirenetworks.org](https://bonfirenetworks.org/), [utaw.tech](https://utaw.tech), [wiki.cafe](https://wiki.cafe), [biobulkbende.org](https://biobulkbende.org) & [servers.coop](https://servers.coop) :exploding_head:

- Established an [Open Collective](https://opencollective.com/coop-cloud) account which has been used to [compensate contributors](https://docs.coopcloud.tech/get-involved/#compensation) and begin with [building up a monthly income](https://opencollective.com/coop-cloud/transactions?type=CREDIT) which will sustain the project beyond grant funding.

- Facilitated space for an online community of friendly & helpful individuals to come together on our [matrix rooms](https://docs.coopcloud.tech/intro/contact/). Folks on the fediverse are fairly keen [on the project](https://social.coop/@coopcloud) and the ideas of the project have been well received on [ssb](https://scuttlebutt.nz).

- Released our new [documentation](https://docs.coopcloud.tech) which will soon be followed by a website & recipe catalogue re-design.

- Nearly come to the end of our [ECF funding](https://culturalfoundation.eu/stories/cosround4_autonomiccooperative) timeline which means The Beta Launch :tm: is nearly upon us.

It's been an amazing time, seeing more folks get involved & building up our new web of trust :tada:

## Where we want to be

We are now stabilising the technology and moving into a phase of education and organising work. We want to explain what we're doing & what we want to achieve. One major TODO that we would like to squash in the next months is the organisational model of Co-op Cloud. This is critical to ensuring the project will become sustainable.

So far, the project has been developed & maintained primarily by us, [Autonomic Co-op](https://autonomic.zone). We've taken an approach of de-centering ourselves from the project so as to create more room for others to participate. We've done this by creating separate branding, design, infrastructure and so on via [coopcloud.tech](https://coopcloud.tech). With this federation proposal, our final move out of the center will be underway.

The idea of the proposal is to formalise One Simple Idea: if you participate in this project, you should have decision-making power.

## The proposal

As part of the [beta bikemap goals](https://pad.autonomic.zone/s/C3uuqfSCk) we had always wanted to work out concretely the idea of what we originally called ["The Organisation"](https://pad.autonomic.zone/s/C3uuqfSCk#Co-op-Cloud-%E2%80%9CThe-Organisation%E2%80%9D). Here is what we wrote at the beginning of the ECF funding period:

> One of the core goals of Co-op Cloud is to have the project run and managed by a diverse group of tech co-ops and collectives who are invested into building, maintaining and extending this digital configuraton commons. In order to open the project up we need to work on shared governance guidelines, codes of conduct, building community trust and working towards economic sustainability.

We believe this document is the next step towards achieving this goal.

> [The Co-op Cloud Federation Proposal](https://pad.autonomic.zone/s/MLafJE2jC)

A warm beverage & a comfy chair is recommended for your review session -- it is indeed a Long Read :book:

## Process & timeline

In terms of feedback, we want to emphasise that we don't have to figure it all out right now. What is more important is that we lay the foundations for democratically working it out as we go. Any red flags, major concerns & blockers to participation would be great to discover at this early stage. All feeback & constructive criticism is welcome!

We are happy to hear from folks on any of the communication channels that we have. Please see our [contact docs](https://docs.coopcloud.tech/intro/contact/) for more. We will gather all feedback, discussions & follow up with people by the end of April 2022, and we are aiming to publish the proposal as final by mid May 2022 (**UPDATE**: based on feedback, we've removed this deadline as we work out more details with groups who are engaging with this. More to come Soon :tm:).

Thank you for your time!

## Acknowledgements

We would like to warmly thank the Good People of [CoopCycle](https://coopcycle.org/en/) who helped us along this path.
