---
title: "This month in Co-op Cloud October (+ September 🙈) 2021"
date: 2021-10-26T11:33:59+02:00
draft: false
image: "/img/dreamstudio.jpg"
imageCredit: "What I wished my studio looked like (are.na/block/6501928)"
description: "An overdue edition covering updates for both September and October 2021"
---

Heyaaa :wave: As we ran overdue on getting the September edition out and it is nearly the end of October, here's a bumper double month edition for your reading pleasure! Happy Hacking!

<!--more-->

### Abra is stabilising

We can happily report that the new [Golang](https://golang.org) version of [`abra`](https://git.coopcloud.tech/coop-cloud/abra) has started to become the daily driver for several folks involved in the project. We have been doing a serious amount of testing, bug squashing, UI/UX work on the tool. The new `abra` has certainly reached feature parity with the old Bash version and is now starting to provide new functionality. Here are some of the highlights so far:

- We've finally cracked automating our release process via [`goreleaser`](https://goreleaser.com/). The results can be seen on our [releases page](https://git.coopcloud.tech/coop-cloud/abra/releases). The change logs are generated directly from our Git commit messages, binary checksums are included out-of-the-box and our CI system [publishes a release](https://git.coopcloud.tech/coop-cloud/abra/src/commit/71225d2099b2399c8f20546192b318d90d21610c/.drone.yml#L46-L70) whenever we tag a commit. It's been working out fine and we've already published a scorching 12 releases! Thanks to comrade [`@knoflook`](https://git.coopcloud.tech/knoflook) for helping get this set up.

- The new recipe maintainer work flow with `abra` has been finalised and is already in use. We've been working quite intensively on a simple but reliable versioning system for recipes and have come up with [this approach](https://docs.coopcloud.tech/recipe-maintainer-guide/#how-recipes-are-versioned). `abra` now supports upgrading, labelling, tagging and publishing new recipe versions, see [these docs](https://docs.coopcloud.tech/recipe-maintainer-guide/#how-to-publish-a-new-recipe-version) for more. Thanks again to comrade [`@knoflook`](https://git.coopcloud.tech/knoflook) for helping get this out the door, see [their proposal](https://git.coopcloud.tech/coop-cloud/organising/issues/120) for more background context on this work.

- The UI/UX for 3rd party integrations is being finished up with proof-of-concept integrations with [`capsul-flask`](https://git.cyberia.club/Cyberia/capsul-flask) and [Hetzner Cloud](https://docs.hetzner.com/cloud/) for VPS management and [Gandi](https://gandi.net) for DNS management. Here is a [short preview video](https://matrix.autonomic.zone/_matrix/media/r0/download/autonomic.zone/lBJmAXORIJWzOCELReISnHIi) showcasing that progress. There are more bugs to fix on this feature but we're happily accepting change sets for other integrations!

- We've migrated our issue tracker from [here](https://git.coopcloud.tech/coop-cloud/abra/issues) to [there](https://git.coopcloud.tech/coop-cloud/organising/issues) so that we can streamline issue support and make it more clear how the project is being managed. We've wired up corresponding [milestones](https://git.coopcloud.tech/coop-cloud/organising/milestones) and have created a [number of issue templates](https://git.coopcloud.tech/coop-cloud/organising/src/branch/master/.gitea/issue_template) to help folks report problems or make feature requests.

- [`libcapsul`](https://git.coopcloud.tech/servers.coop/libcapsul) has been published (a prototype client library for [`capsul-flask`](https://git.cyberia.club/Cyberia/capsul-flask)) separately outside of `abra` core and a rake of new commits have landed on [`tagcmp`](https://git.coopcloud.tech/coop-cloud/tagcmp). The Golang libraries can be installed via the usual `got get coopcloud.tech/...` method.

- A hefty amount of fixes went into the latest point release (20+ 🤯) and a new `0.3.0-alpha` release should be coming out this month with another round of improvements. Thanks to all the brave souls who have been testing the tool so far. Now is a great time to get involved in alpha testing and coming into the loop, providing feedback and shaping what `abra` can be!

### European Networked Media

We were excited to head to the kick-off session of the "Networked European Media" project. This project by the [European Cultural Foundation](https://culturalfoundation.eu/) (our main funder for the beta version of Co-op Cloud!) has already started helping us understand even more about the infrastructure needs of pro-social organisations, and we're also getting to know the other excellent ECF grantees better. Stay tuned for more!

### Kite-Flying Hour rhythm and notes

Due to budgeting and capacity issues, we've switched from having weekly "open floor" calls (read more on the purpose of the Kite-Flying Hour [here](https://docs.coopcloud.tech/comm-org/#kite-flying-hours)) to having them once a month. They've been wonderful informal discussions with folks popping in from all over the world. It's always left us with a warm and fuzzy feeling after the call. We wanted to re-share some notes from a discussion which was a very rambling and enjoyable scenic journey through the various philosophical underpinnings of the project which might be of interest to curious folks. Notes are [here](https://pad.autonomic.zone/s/CN0vTa-4C#).

### Co-op Cloud @ Home

`@aadil`, `@travvy` and `@3wc` kicked off an exploration of the long-hoped-for-but-so-far-neglected use case of running Co-op Cloud apps on a home-server. We're starting off with working out how to use Co-op Cloud's Traefik instance as a reverse proxy for existing apps on a homeserver that's already internet-accessible -- once that's done we'll be moving on to working around the requirement for a public IP (possibly helping test our comrade `@forest`'s [newly-launched "Greenhouse" system](https://greenhouse.server.garden/)), and then packaging some of the key homeserver apps like Jellyfin and friends.

### App backups are coming

[`3wc`](https://git.coopcloud.tech/3wordchant) has come up with a very promising prototype for a generalised backup solution for Co-op Cloud apps! Following prior art, discussions and experiences with various backup tools, a new [`backup-bot-two`](https://git.coopcloud.tech/coop-cloud/backup-bot-two) has arrived and is already being tested in [`150c953c51`](https://git.coopcloud.tech/coop-cloud/organising/issues/30#:~:text=Owner-,150c953c51,-https%3A//git.coopcloud). Follow along via [`#30`](https://git.coopcloud.tech/coop-cloud/organising/issues/30).

### New & improved apps

- [`owncast`](https://git.coopcloud.tech/coop-cloud/owncast), self-hosted live video and web chat server for use with existing popular broadcasting software, is undergoing some alpha testing on https://owncast.demo.coopcloud.tech, read more below!
- [`federatedwiki`](https://git.coopcloud.tech/coop-cloud/federatedwiki), share pages circulating within a creative commons, is now in use on https://wiki.cafe and shortly the OpenLearning project.
- [`snikket`](https://git.coopcloud.tech/coop-cloud/snikket), Chat that is simple, secure, and private (N.B. still a work in progress!)

If you've got ideas for other apps you'd like to see packaged, feel free to add them straight to the [app packaging request list on git.coopcloud.tech](https://git.coopcloud.tech/coop-cloud/apps/projects/6) (remember, you can log in directly with either Gitlab or Github).

### Ｔｈｅ ＣｏｏｐＣｌｏｕｄＣａｓｔ

We've started an experimental livestream via [owncast.demo.coopcloud.tech](https://owncast.demo.coopcloud.tech/) -- so far, we've worked on adding OpenID Connect Single Sign-On to Penpot, and revving up the engines for `backup-bot-two`. Drop into our Matrix channel if you've got an idea for something you'd like us to look at during a future stream, or if you'd like to join us on one!

### Sustainable infrastructure

We're delighted to announce that nice folks such as [the PeachCloud project](https://peachcloud.org/) are migrating their source code to [git.coopcloud.tech/PeachCloud](https://git.coopcloud.tech/PeachCloud)! This prompted a discussion about how to manage costs of this infrastructure and we've since set up a new tier on our Open Collective for wiring up a recurring payment. See our shiny new contribution tab [here](https://opencollective.com/coop-cloud#category-CONTRIBUTE) and huge shout-out to PeachCloud folks who have [set up the first payment](https://opencollective.com/coop-cloud/transactions?type=CREDIT&kind=CONTRIBUTION). Very Exciting ™

### Co-op Cloud In The Wild

`@3wc` has been working with `@Bortseb` to migrate [OpenLearning](https://openlearning.cc)'s Cloudron- / manual-Docker-hosted infrastructure to Co-op Cloud, which has already provided a bunch of super-valuable testing -- including `abra`'s "local server" mode, and the OpenID Single Sign-On set-up process for various apps. More news soon!

---

If any of this sounds interesting, please drop by [our Matrix space](https://app.element.io/#/room/!xSMwGbdVehScXcIFwS:autonomic.zone?via=autonomic.zone) and say hello :wave:. We'd love to hear from you and to have a chat about what you think of the project and how it might be useful for you :heartpulse: You can also follow the project on [Twitter](https://twitter.com/Coop_Cloud) and/or [the Fediverse](https://social.coop/@coopcloud).
